array.h File Reference

Definition of Array class (container) More...

`#include <itpp/base/itassert.h>`
`#include <itpp/base/math/misc.h>`
`#include <itpp/base/factory.h>`
`#include <itpp/base/copy_vector.h>`

Go to the source code of this file.

## Classes

class | itpp::Array< T >
| General array class. More...

## Namespaces

namespace | itpp
| itpp namespace

## Functions

template<class T >
const Array< T > | itpp::concat (const Array< T > &a, const T &e)
| Append element `e` to the end of the Array `a`.
template<class T >
const Array< T > | itpp::concat (const T &e, const Array< T > &a)
| Append element `e` to the beginning of the Array `a`.
template<class T >
const Array< T > | itpp::concat (const Array< T > &a1, const Array< T > &a2)
| Concat Arrays `a1` and `a2`.
template<class T >
const Array< T > | itpp::concat (const Array< T > &a1, const Array< T > &a2, const Array< T > &a3)
| Concat Arrays `a1`, `a2` and `a3`.

## Detailed Description

Definition of Array class (container)

Author
  Tobias Ringstrom and Adam Piatyszek

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file array.h.

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8